SUBROUTINE MATCHUPDB(IARG1, LARG2, LARG3, LARG4, IARG5)

    USE PARKIND1,ONLY : JPIM

    INTEGER(KIND=JPIM) :: IARG1
    LOGICAL            :: LARG2
    LOGICAL            :: LARG3
    LOGICAL            :: LARG4
    INTEGER(KIND=JPIM) :: IARG5

END SUBROUTINE MATCHUPDB
